"use strict";

var _reactNative = require("@testing-library/react-native");
var _ImageLoader = require("./ImageLoader.js");
var _jsxRuntime = require("react/jsx-runtime");
describe('ImageLoader', () => {
  const workingSource = {
    uri: 'https://ui-avatars.com/api/?name=John+Doe'
  };
  // const brokenSource = {
  //   uri: 'https://ui-avatars.com/api/?name=John+Doe&broken',
  // };

  const workingFallback = {
    uri: 'https://ui-avatars.com/api/?name=Jane+Doe'
  };
  const brokenFallback = {
    uri: 'https://ui-avatars.com/api/?name=Jane+Doe&broken'
  };
  const fallbacks = [workingFallback, brokenFallback];
  it('renders correctly with source', () => {
    const {
      toJSON
    } = (0, _reactNative.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_ImageLoader.ImageLoader, {
      source: workingSource
    }));
    expect(toJSON()).toMatchSnapshot();
  });
  it('renders correctly with fallback', () => {
    const {
      toJSON
    } = (0, _reactNative.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_ImageLoader.ImageLoader, {
      source: workingSource,
      fallback: workingFallback
    }));
    expect(toJSON()).toMatchSnapshot();
  });
  it('renders correctly with fallbacks', () => {
    const {
      toJSON
    } = (0, _reactNative.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_ImageLoader.ImageLoader, {
      source: workingSource,
      fallback: fallbacks
    }));
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=ImageLoader.test.js.map